import java.util.Comparator;

/**
 * Spezieller Vergleicher fuer Aufgabe 3 in &Uuml;bung 12, der daf&uuml;r sorgt,
 * dass Schlagweiten nach absoluten Differenzen zu einem Bezugswert sortiert werden.
 * 
 * @author Owyn
 * @version 2008-06-19
 */
public class DifferenceComparator implements Comparator {
    
    private double averageDistance;
    
    /**
     * Erzeugt einen Differenz-Vergleicher.
     * 
     * @param averageDistance Bezugswert
     */
    DifferenceComparator (double averageDistance) {
        this.averageDistance = averageDistance;
    }
    
    /**
     * Vergleicht zwei Double-Werte.
     * 
     * @param a Erster Wert als Double
     * @param b Zweiter Wert als Double
     * @return negativ / 0 / positiv, wenn a2 kleiner / gleich / gr&ouml;&szlig;er b2,
     *         wobei a2 bzw. b2 die Differenz von a bzw. b zum Bezugswert darstellen.
     */
    public int compare(Object a, Object b) {
        // TypeCast und Konvertierung
        double distance1 = ((Double) a).doubleValue();
        double distance2 = ((Double) b).doubleValue();
        return Double.compare(Math.abs(averageDistance - distance1),
                              Math.abs(averageDistance - distance2));
    }
    
}
