import train.*;
import train.car.*;
import train.locomotive.*;

/**
 * Testklasse fr das Package train.
 * 
 * @author Owyn
 * @version 2008-06-19
 */
public class ExpressTrainTest {
    
    public static void test() {
        Train t1 = new ExpressTrain(new DieselLocomotive(3672, 40));
        t1.add(new Car(34, 50, 1));
        t1.add(new DiningCar(20, 40, 3));
        t1.add(new Car(54, 60, 4));
        t1.add(new SleepingCar(25, 50, 7));
        
        System.out.println(t1); // toString() wird automatisch aufgerufen
        System.out.println("Laenge:     " + t1.getLength() + " Meter");
        System.out.println("Kapazitaet: " + t1.getCapacity() + " Passagiere");
        
        Train t2 = new ExpressTrain(new ElectricLocomotive(1234, 40),
                                    new ElectricLocomotive(4711, 42));
        t2.add(new Car(34, 50, 1));
        t2.add(new DiningCar(20, 40, 3));
        t2.add(new Car(54, 60, 4));
        t2.add(new SleepingCar(25, 50, 7));
        
        System.out.println(t2); // toString() wird automatisch aufgerufen
        System.out.println("Laenge:     " + t2.getLength() + " Meter");
        System.out.println("Kapazitaet: " + t2.getCapacity() + " Passagiere");
    }
    
}
