package train;

import train.locomotive.Locomotive;

/**
 * Beschreibt einen Expresszug.
 * 
 * @author Owyn
 * @version 2008-06-19
 */
public class ExpressTrain extends Train {
    // ExpressTrain enthaelt nicht nur nachfolgende Attribute und Methoden,
    // sondern durch die Vererbung auch die der Klasse Train.
    
    /**
     * Zweite Lok des Zugs
     */
	private Locomotive loc2;
    
    /**
     * Erzeugt einen Expresszug mit zwei gleichen Lokomotiven
     *
     * @param loc Die Lokomotive des Zugs
     */
	public ExpressTrain(Locomotive loc) {
		super(loc);
		loc2 = loc;
	}
    
    /**
     * Erzeugt einen Expresszug mit zwei verschiedenen Lokomotiven
     *
     * @param loc Die Lokomotive des Zugs
     */
	public ExpressTrain(Locomotive loc1, Locomotive loc2) {
		super(loc1);
		this.loc2 = loc2;
	}
    
    /**
     * Gibt die gesamte Zugl&auml;nge zur&uuml;ck.
     *
     * @return Zugl&auml;nge
     */  
	public int getLength() {
		return super.getLength() + loc2.getLength();
	}
    
    /**
     * Gibt eine Textdarstellung des Zugs zur&uuml;ck.
     *
     * @return Textdarstellung
     */ 
	public String toString() {
		return super.toString() + " <-> " + loc2.toString();
	}
	
}